# class ActionDispatch::ExceptionWrapper

### Attributes

env[R]
exception[R]

### Public Class Methods

new(env, exception) click to toggle source

    # File lib/action_dispatch/middleware/exception_wrapper.rb, line 27
    def initialize(env, exception)
      @env = env
      @exception = original_exception(exception)
    end

status_code_for_exception(class_name) click to toggle source

    # File lib/action_dispatch/middleware/exception_wrapper.rb, line 52
    def self.status_code_for_exception(class_name)
      Rack::Utils.status_code(@@rescue_responses[class_name])
    end

### Public Instance Methods

application_trace() click to toggle source

    # File lib/action_dispatch/middleware/exception_wrapper.rb, line 40
    def application_trace
      clean_backtrace(:silent)
    end

framework_trace() click to toggle source

    # File lib/action_dispatch/middleware/exception_wrapper.rb, line 44
    def framework_trace
      clean_backtrace(:noise)
    end

full_trace() click to toggle source

    # File lib/action_dispatch/middleware/exception_wrapper.rb, line 48
    def full_trace
      clean_backtrace(:all)
    end

rescue_template() click to toggle source

    # File lib/action_dispatch/middleware/exception_wrapper.rb, line 32
    def rescue_template
      @@rescue_templates[@exception.class.name]
    end

status_code() click to toggle source

    # File lib/action_dispatch/middleware/exception_wrapper.rb, line 36
    def status_code
      self.class.status_code_for_exception(@exception.class.name)
    end